Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jimi.core.filters
Class AspectAdjustReplicateScaleFilter

    java.lang.Object
      |
      +--java.awt.image.ImageFilter
            |
            +--java.awt.image.ReplicateScaleFilter
                  |
                  +--com.sun.jimi.core.filters.AspectAdjustReplicateScaleFilter

public class AspectAdjustReplicateScaleFilter
extends java.awt.image.ReplicateScaleFilter

ReplicateScaleFilter extension for maintaining aspect ratio.

Field Summary
`protected boolean` | `noScaling` set to true if the image is already sized correctly
`protected double` | `xResolution`
`protected double` | `yResolution`

Fields inherited from class java.awt.image.ReplicateScaleFilter
`destHeight, destWidth, outpixbuf, srccols, srcHeight, srcrows, srcWidth`

Fields inherited from class java.awt.image.ImageFilter
`consumer`

Constructor Summary
`AspectAdjustReplicateScaleFilter(double xres, double yres)`

Method Summary
`void` | `setDimensions(int imageWidth, int imageHeight)`

Methods inherited from class java.awt.image.ReplicateScaleFilter
`setPixels, setPixels, setProperties`

Methods inherited from class java.awt.image.ImageFilter
`clone, getFilterInstance, imageComplete, resendTopDownLeftRight, setColorModel, setHints`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### xResolution

    protected double xResolution

### yResolution

    protected double yResolution

### noScaling

    protected boolean noScaling

  set to true if the image is already sized correctly

Constructor Detail

### AspectAdjustReplicateScaleFilter

    public AspectAdjustReplicateScaleFilter(double xres,
                                            double yres)

Method Detail

### setDimensions

    public void setDimensions(int imageWidth,
                              int imageHeight)

  Overrides:
    setDimensions in class java.awt.image.ReplicateScaleFilter

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD